Index: src/get_wetscav.f90
===================================================================
--- src/get_wetscav.f90	(revision c7e771d7de021b45aeef132bb2857bf7e012e216)
+++ src/get_wetscav.f90	(revision 79e0349a50fd1ee6dfdf4b044ade2b6f1e702855)
@@ -298,5 +298,9 @@
           else                                  !parameterize cloudwater m2/m3
 !ZHG updated parameterization of cloud water to better reproduce the values coming from ECMWF
-            cl=1.6E-6*prec(1)**0.36
+! sec test
+!           cl=1E6*1E-7*prec(1)**0.3 !Sec GFS new
+            cl=1E6*2E-7*prec(1)**0.36 !Sec ECMWF new
+!           cl=2E-7*prec(1)**0.36 !Andreas
+!           cl=1.6E-6*prec(1)**0.36 !Henrik
           endif
 
@@ -318,4 +322,5 @@
           if (dquer(ks).gt.0.) then
             S_i= frac_act/cl
+!           write(*,*) 'Si: ',S_i
 
 ! GAS
@@ -334,5 +339,7 @@
             wetscav=incloud_ratio*S_i*(prec(1)/3.6E6)
           else
-            wetscav=incloud_ratio*S_i*(prec(1)/3.6E6)/clouds_h
+!SEC wetscav fix
+             wetscav=incloud_ratio*S_i*(prec(1)/3.6E6)
+!            wetscav=incloud_ratio*S_i*(prec(1)/3.6E6)/clouds_h
           endif
         endif ! positive in-cloud scavenging parameters given in Species file
Index: src/par_mod.f90
===================================================================
--- src/par_mod.f90	(revision 3f149ccfb522ead3fdd1e69283deccd58b8740fc)
+++ src/par_mod.f90	(revision 79e0349a50fd1ee6dfdf4b044ade2b6f1e702855)
@@ -148,10 +148,10 @@
   ! ECMWF
 ! integer,parameter :: nxmax=361,nymax=181,nuvzmax=92,nwzmax=92,nzmax=92,nxshift=359 ! 1.0 degree 92 level
-  integer,parameter :: nxmax=361,nymax=181,nuvzmax=138,nwzmax=138,nzmax=138,nxshift=359 ! 1.0 degree 138 level
+!   integer,parameter :: nxmax=361,nymax=181,nuvzmax=138,nwzmax=138,nzmax=138,nxshift=359 ! 1.0 degree 138 level
 ! integer,parameter :: nxmax=721,nymax=361,nuvzmax=138,nwzmax=138,nzmax=138,nxshift=359  ! 0.5 degree 138 level
 !  integer,parameter :: nxmax=181,nymax=91,nuvzmax=92,nwzmax=92,nzmax=92,nxshift=0  ! CERA 2.0 degree 92 level
 
 ! GFS
-!  integer,parameter :: nxmax=361,nymax=181,nuvzmax=138,nwzmax=138,nzmax=138,nxshift=0
+   integer,parameter :: nxmax=361,nymax=181,nuvzmax=138,nwzmax=138,nzmax=138,nxshift=0
 
 
Index: src/verttransform_ecmwf.f90
===================================================================
--- src/verttransform_ecmwf.f90	(revision 47f96e517d397dc6a07c96fe58390fcf8dbf031d)
+++ src/verttransform_ecmwf.f90	(revision 79e0349a50fd1ee6dfdf4b044ade2b6f1e702855)
@@ -108,8 +108,9 @@
   ! real :: rcw(0:nxmax-1,0:nymax-1)
   ! real :: rpc(0:nxmax-1,0:nymax-1)
-  ! character(len=60) :: zhgpath='/xnilu_wrk/flex_wrk/zhg/'
+  character(len=60) :: zhgpath='/xnilu_wrk/users/sec/kleinprojekte/hertlfit/'
+  character(len=60) :: fnameH,fnameI,fnameJ
   ! character(len=60) :: fnameA,fnameB,fnameC,fnameD,fnameE,fnameF,fnameG,fnameH
-  ! CHARACTER(LEN=3)  :: aspec
-  ! integer :: virr=0
+  CHARACTER(LEN=3)  :: aspec
+  integer :: virr=0
   !real :: tot_cloud_h
   !real :: dbg_height(nzmax) 
@@ -732,6 +733,6 @@
      !********* TEST ************'**
 !teller(:)=0
-!virr=virr+1
-!WRITE(aspec, '(i3.3)'), virr
+virr=virr+1
+WRITE(aspec, '(i3.3)'), virr
 
 !if (readclouds) then
@@ -770,4 +771,9 @@
 !fnameF=trim(zhgpath)//trim(aspec)//'lsp.txt'
 !fnameG=trim(zhgpath)//trim(aspec)//'convp.txt'
+if (1.eq.2) then
+fnameH=trim(zhgpath)//trim(aspec)//'tcwc.txt'
+fnameI=trim(zhgpath)//trim(aspec)//'prec.txt'
+fnameJ=trim(zhgpath)//trim(aspec)//'cloudsh.txt'
+write(*,*) 'Writing data to file: ',fnameH
 !if (readclouds) then
 !OPEN(UNIT=111, FILE=fnameA,FORM='FORMATTED',STATUS = 'UNKNOWN')
@@ -776,10 +782,10 @@
 !OPEN(UNIT=114, FILE=fnameD,FORM='FORMATTED',STATUS = 'UNKNOWN')
 !else
-!OPEN(UNIT=115, FILE=fnameE,FORM='FORMATTED',STATUS = 'UNKNOWN')
-!OPEN(UNIT=116, FILE=fnameF,FORM='FORMATTED',STATUS = 'UNKNOWN')
-!OPEN(UNIT=117, FILE=fnameG,FORM='FORMATTED',STATUS = 'UNKNOWN')
+OPEN(UNIT=115, FILE=fnameH,FORM='FORMATTED',STATUS = 'UNKNOWN')
+OPEN(UNIT=116, FILE=fnameI,FORM='FORMATTED',STATUS = 'UNKNOWN')
+OPEN(UNIT=117, FILE=fnameJ,FORM='FORMATTED',STATUS = 'UNKNOWN')
 !endif
 !
-!do ix=0,nxmin1
+do ix=0,nxmin1
 !if (readclouds) then
 !write(111,*) (icloud_stats(ix,jy,1,n),jy=0,nymin1)
@@ -788,9 +794,9 @@
 !write(114,*) (icloud_stats(ix,jy,4,n),jy=0,nymin1)
 !else
-!write(115,*) (cloudsh(ix,jy,n),jy=0,nymin1)    !integer
-!write(116,*) (lsprec(ix,jy,1,n),jy=0,nymin1)   !7.83691406E-02 
-!write(117,*) (convprec(ix,jy,1,n),jy=0,nymin1) !5.38330078E-02
+write(115,*) (ctwc(ix,jy,n),jy=0,nymin1)  
+write(116,*) (lsprec(ix,jy,1,n)+convprec(ix,jy,1,n),jy=0,nymin1)  
+write(117,*) (cloudsh(ix,jy,n),jy=0,nymin1) 
 !endif
-!end do
+end do
 !
 !if (readclouds) then
@@ -800,7 +806,8 @@
 !CLOSE(114)
 !else
-!CLOSE(115)
-!CLOSE(116)
-!CLOSE(117)
+CLOSE(115)
+CLOSE(116)
+CLOSE(117)
+endif
 !endif
 !