Index: options/AGECLASSES
===================================================================
--- options/AGECLASSES	(revision 80fc2b4545e64cb6e95c1e18ebf96e7af91e18e2)
+++ options/AGECLASSES	(revision 80fc2b4545e64cb6e95c1e18ebf96e7af91e18e2)
@@ -0,0 +1,15 @@
+************************************************
+*                                              *
+*Lagrangian particle dispersion model FLEXPART *
+*         Please select your options           *
+*                                              *
+*This file determines the ageclasses to be used*
+*                                              *
+*Ages are given in seconds. The first class    *
+*starts at age zero and goes up to the first   *
+*age specified. The last age gives the maximum *
+*time a particle is carried in the simulation. *
+*                                              *
+************************************************
+1          Integer   Number of age classes
+1814400    Integer        1
Index: options/COMMAND
===================================================================
--- options/COMMAND	(revision 80fc2b4545e64cb6e95c1e18ebf96e7af91e18e2)
+++ options/COMMAND	(revision 80fc2b4545e64cb6e95c1e18ebf96e7af91e18e2)
@@ -0,0 +1,32 @@
++++++++++++++ HEADER +++++++++++++++++
++++++++++++++ HEADER +++++++++++++++++
++++++++++++++ HEADER +++++++++++++++++
++++++++++++++ HEADER +++++++++++++++++
++++++++++++++ HEADER +++++++++++++++++
++++++++++++++ HEADER +++++++++++++++++
++++++++++++++ HEADER +++++++++++++++++ 
+1
+20110102      0     
+20110109      0
+ 3600
+ 1800
+  300
+ 9999999
+300  SYNC
+-1.0  CTL
+4     IFINE
+1     IOUT
+0     IPOUT
+1     LSUBGRID
+1     LCONVECTION
+0     LAGESPECTRA
+0     IPIN
+1     IOFR
+0     IFLUX
+0     MDOMAINFILL
+1     IND_SOURCE
+1     IND_RECEPTOR
+0     MQUASILAG
+0     NESTED_OUTPUT
+0     LINIT_COND
+0     method_w
Index: options/OUTGRID
===================================================================
--- options/OUTGRID	(revision 80fc2b4545e64cb6e95c1e18ebf96e7af91e18e2)
+++ options/OUTGRID	(revision 80fc2b4545e64cb6e95c1e18ebf96e7af91e18e2)
@@ -0,0 +1,114 @@
+********************************************************************************
+*                                                                              *
+*      Input file for the Lagrangian particle dispersion model FLEXPART        *
+*                       Please specify your output grid                        *
+*                                                                              *
+********************************************************************************
+
+1.  ------.----       4X,F11.4
+     -177.5000       GEOGRAFICAL LONGITUDE OF LOWER LEFT CORNER OF OUTPUT GRID
+    OUTLONLEFT        (left boundary of the first grid cell - not its centre)
+
+2.  ------.----       4X,F11.4
+      -90.0000       GEOGRAFICAL LATITUDE OF LOWER LEFT CORNER OF OUTPUT GRID
+    OUTLATLOWER       (lower boundary of the first grid cell - not its centre)
+
+3.  -----             4X,I5
+      144             NUMBER OF GRID POINTS IN X DIRECTION (= No. of cells + 1)
+    NUMXGRID
+
+4.  -----             4X,I5
+      180            NUMBER OF GRID POINTS IN Y DIRECTION (= No. of cells + 1)
+    NUMYGRID
+
+5.  ------.---        4X,F10.3
+         2.500        GRID DISTANCE IN X DIRECTION
+    DXOUTLON
+
+6.  ------.---        4X,F10.3
+         1.           GRID DISTANCE IN Y DIRECTION
+    DYOUTLAT
+
+7.  -----.-           4X, F7.1
+       65.0
+    LEVEL 1           HEIGHT OF LEVEL (UPPER BOUNDARY)
+
+8.  -----.-           4X, F7.1
+      250.0
+    LEVEL 2           HEIGHT OF LEVEL (UPPER BOUNDARY)
+
+9.  -----.-           4X, F7.1
+      600.0
+    LEVEL 3           HEIGHT OF LEVEL (UPPER BOUNDARY)
+
+10.  -----.-           4X, F7.1
+     1150.0
+    LEVEL 4           HEIGHT OF LEVEL (UPPER BOUNDARY)
+
+11.  -----.-           4X, F7.1
+     2000.0
+    LEVEL 5           HEIGHT OF LEVEL (UPPER BOUNDARY)
+
+12.  -----.-           4X, F7.1
+     3000.0
+    LEVEL 6           HEIGHT OF LEVEL (UPPER BOUNDARY)
+
+13. -----.-           4X, F7.1
+     4200.0
+    LEVEL 7           HEIGHT OF LEVEL (UPPER BOUNDARY)
+
+14 -----.-           4X, F7.1
+     5400.0
+    LEVEL 8           HEIGHT OF LEVEL (UPPER BOUNDARY)
+
+15. -----.-           4X, F7.1
+     6600.0
+    LEVEL 9           HEIGHT OF LEVEL (UPPER BOUNDARY)
+
+16. -----.-           4X, F7.1
+     7900.0
+   LEVEL 10           HEIGHT OF LEVEL (UPPER BOUNDARY) 
+
+17. -----.-           4X, F7.1
+     9000.0
+   LEVEL 11           HEIGHT OF LEVEL (UPPER BOUNDARY) 
+
+18. -----.-           4X, F7.1
+    10300.0
+   LEVEL 12           HEIGHT OF LEVEL (UPPER BOUNDARY)
+
+19. -----.-           4X, F7.1
+    11500.0
+    LEVEL13           HEIGHT OF LEVEL (UPPER BOUNDARY)
+
+20. -----.-           4X, F7.1
+    12700.0
+    LEVEL14           HEIGHT OF LEVEL (UPPER BOUNDARY)
+
+21. -----.-           4X, F7.1
+    14000.0
+    LEVEL15           HEIGHT OF LEVEL (UPPER BOUNDARY)
+
+22. -----.-           4X, F7.1
+    16300.0
+    LEVEL16           HEIGHT OF LEVEL (UPPER BOUNDARY) 
+
+23. -----.-           4X, F7.1
+    18700.0
+    LEVEL17           HEIGHT OF LEVEL (UPPER BOUNDARY) 
+
+24. -----.-           4X, F7.1
+    22200.0
+    LEVEL18           HEIGHT OF LEVEL (UPPER BOUNDARY)
+
+25. -----.-           4X, F7.1
+    26000.0
+    LEVEL19            HEIGHT OF LEVEL (UPPER BOUNDARY)
+
+26. -----.-           4X, F7.1
+    32000.0
+    LEVEL20           HEIGHT OF LEVEL (UPPER BOUNDARY)
+
+27. -----.-           4X, F7.1
+    43000.0
+    LEVEL21           HEIGHT OF LEVEL (UPPER BOUNDARY)          
Index: options/RECEPTORS
===================================================================
--- options/RECEPTORS	(revision 80fc2b4545e64cb6e95c1e18ebf96e7af91e18e2)
+++ options/RECEPTORS	(revision 80fc2b4545e64cb6e95c1e18ebf96e7af91e18e2)
@@ -0,0 +1,8 @@
+********************************************************************************
+*                                                                              *
+*      Input file for the Lagrangian particle dispersion model FLEXPART        *
+*                       Please specify your receptor points                    *
+*     For the receptor points, ground level concentrations are calculated      *
+*                                                                              *
+********************************************************************************
+================================================================================
Index: options/RELEASES
===================================================================
--- options/RELEASES	(revision 80fc2b4545e64cb6e95c1e18ebf96e7af91e18e2)
+++ options/RELEASES	(revision 80fc2b4545e64cb6e95c1e18ebf96e7af91e18e2)
@@ -0,0 +1,26 @@
++++++++++++++++++ HEADER +++++++++++++++++++++
++++++++++++++++++ HEADER +++++++++++++++++++++
++++++++++++++++++ HEADER +++++++++++++++++++++
++++++++++++++++++ HEADER +++++++++++++++++++++
++++++++++++++++++ HEADER +++++++++++++++++++++
++++++++++++++++++ HEADER +++++++++++++++++++++
++++++++++++++++++ HEADER +++++++++++++++++++++
++++++++++++++++++ HEADER +++++++++++++++++++++
++++++++++++++++++ HEADER +++++++++++++++++++++
++++++++++++++++++ HEADER +++++++++++++++++++++
++++++++++++++++++ HEADER +++++++++++++++++++++
+           1
+         101
+        
+    20110102      0
+    20110109      0
+    8.750000 
+   47.370000
+   11.250000   
+   49.260000      
+           1
+   0.0000000    
+    50.00000    
+      900000
+   604800000
+alp
Index: options/SPECIES/SPECIES.orig
===================================================================
--- options/SPECIES/SPECIES.orig	(revision 80fc2b4545e64cb6e95c1e18ebf96e7af91e18e2)
+++ options/SPECIES/SPECIES.orig	(revision 80fc2b4545e64cb6e95c1e18ebf96e7af91e18e2)
@@ -0,0 +1,47 @@
+****************************************************************************
+*                                                                          *
+*     Input file for the Lagrangian particle dispersion model FLEXPART     *
+*               Definition file of chemical species/radionuclides          *
+*                                                                          *
+****************************************************************************
+           Radioactivity    Wet depo         Dry depo (gases)      Dry depo (particles)  Dry depo              OH React
+     SPECIES HALF LIFE [s]     A      B       D      H     f0      rho    dquer    dsig      vd   molweight   [cm^3/s] 
+ 50 TRACER1234567 1234.6   -2.4E-08  1.34   -2.4  1.3e-07  1.3   -2.4E07  1.3E-6  1.3E-6   -2.45  123.45    -2.4E-08
+  1 TRACER        -999.9   -9.9E-09         -9.9                 -9.9E09                   -9.99  350.00    -9.9E-09
+  2 O3            -999.9   -9.9E-09          1.5  1.0e-02  1.0   -9.9E09                   -9.99   48.00    -9.9E-09
+  3 NO            -999.9    8.0E-06  0.62    1.2  3.0e-03  0.0   -9.9E09                   -9.99   30.00    -9.9E-09
+  4 NO2           -999.9    1.0E-05  0.62    1.6  1.0e-02  0.1   -9.9E09                   -9.99   46.00    -9.9E-09
+  5 HNO3          -999.9    5.0E-05  0.62    1.9  1.0e+14  0.0   -9.9E09                   -9.99   63.00    -9.9E-09
+  6 HNO2          -999.9   -9.9E-09          1.6  1.0e+05  0.1   -9.9E09                   -9.99   47.00    -9.9E-09
+  7 H2O2          -999.9    1.0E-04  0.62    1.4  1.0e+05  1.0   -9.9E09                   -9.99   34.00    -9.9E-09
+  8 SO2           -999.9   -9.9E-09  0.62    2.0  1.0e+05  0.0   -9.9E09                   -9.99   64.00    -9.9E-09
+  9 HCHO          -999.9   -9.9E-09          1.3  6.0e+03  0.0   -9.9E09                   -9.99   30.00    -9.9E-09
+ 10 PAN           -999.9   -9.9E-09          2.6  3.6e+00  0.1   -9.9E09                   -9.99  121.00    -9.9E-09
+ 11 NH3           -999.9    9.9E-05  0.62    1.1  2.0e+14  0.0   -9.9E09                   -9.99   17.00    -9.9E-09
+ 12 SO4-aero      -999.9    5.0E-06  0.62   -9.9                  2.0E03  4.0E-7  3.0E-1   -9.99   -9.99    -9.9E-09
+ 13 NO3-aero      -999.9    5.0E-06  0.62   -9.9                  2.0E03  4.0E-7  3.0E-1   -9.99   -9.99    -9.9E-09
+ 14 I2-131      691200.0    8.0E-05  0.62    2.7  1.0e+05  0.1   -9.9E09                   -9.99   -9.99    -9.9E-09
+ 15 I-131       691200.0    1.0E-04  0.80   -9.9                  2.5E03  6.0E-7  3.0E-1   -9.99   -9.99    -9.9E-09
+ 16 Cs-137        -999.9    1.0E-04  0.80   -9.9                  2.5E03  6.0E-7  3.0E-1   -9.99   -9.99    -9.9E-09
+ 17 Y-91       5037120.0    1.0E-04  0.80   -9.9                  2.5E03  6.0E-7  3.0E-1   -9.99   -9.99    -9.9E-09
+ 18 Ru-106    31536000.0    1.0E-04  0.80   -9.9                  2.5E03  6.0E-7  3.0E-1   -9.99   -9.99    -9.9E-09
+ 19 Kr-85         -999.9   -9.9E-09         -9.9                 -9.9E09                   -9.99   -9.99    -9.9E-09
+ 20 Sr-90         -999.9    1.0E-04  0.80   -9.9                  2.5E03  6.0E-7  3.0E-1   -9.99   -9.99    -9.9E-09
+ 21 Xe-133      198720.0   -9.9E-09         -9.9                 -9.9E09                   -9.99   -9.99    -9.9E-09
+ 22 CO            -999.9   -9.9E-09         -9.9                 -9.9E09                   -9.99   28.00     1.5E-13
+ 23 NO2TRACER     -999.9   -9.9E-09         -9.9                 -9.9E09                   -9.99   46.00    -9.9E-09
+ 24 AIRTRACER     -999.9   -9.9E-09         -9.9                 -9.9E09                   -9.99   29.00    -9.9E-09
+ 25 NA-CO         -999.9   -9.9E-09         -9.9                 -9.9E09                   -9.99   28.00    -9.9E-09
+ 26 EU-CO         -999.9   -9.9E-09         -9.9                 -9.9E09                   -9.99   28.00    -9.9E-09
+ 27 AS-CO         -999.9   -9.9E-09         -9.9                 -9.9E09                   -9.99   28.00    -9.9E-09
+ 28 SO2TRACER     -999.9   -9.9E-09         -9.9                 -9.9E09                   -9.99   64.00    -9.9E-09
+ 29 WET_TRAC      -999.9      1E-04  0.62   -9.9                 -9.9E09                   -9.99  100.00    -9.9E-09
+ 30 DRY_TRAC      3999.9   -9.9E-09          2.0  1.0e-02  1.0   -9.9E09                   -9.99  100.00    -9.9E-09
+ 31 PCB28         -999.9      5E-06  0.62    3.8  3.1e-00  0.0   -9.9E09                   -9.99  257.54     1.1E-12
+ 32 PCB101        -999.9      5E-06  0.62    4.3  3.2e-00  0.0   -9.9E09                   -9.99  326.43     3.4E-13
+ 33 PCB180        -999.9      5E-06  0.62    4.7  1.7e+01  0.0   -9.9E09                   -9.99  395.32     1.1E-13
+ 34 G-HCH         -999.9   -9.9E-09         -9.9                 -9.9E09                   -9.99  999.99     9.9E-99
+ 35 TEST          1000.0      1E-02  0.62    2.0  1.0e-02  1.0   -9.9E09                   -9.99  100.00     1.0E+02
+ 36 PCB28-TEST    -999.9   -9.9E-09  0.62   -9.9  3.1e-00  0.0   -9.9E09                   -9.99  257.54     1.1E-12
+ 37 HNO3          -999.9   -8.0E-04  0.62   -9.9                 -9.9E09                   -9.99   63.00    -9.9E-09
+
Index: options/SPECIES/SPECIES_001
===================================================================
--- options/SPECIES/SPECIES_001	(revision 80fc2b4545e64cb6e95c1e18ebf96e7af91e18e2)
+++ options/SPECIES/SPECIES_001	(revision 80fc2b4545e64cb6e95c1e18ebf96e7af91e18e2)
@@ -0,0 +1,21 @@
+****************************************************************************
+*                                                                          *
+*     Input file for the Lagrangian particle dispersion model FLEXPART     *
+*               Definition file of chemical species/radionuclides          *
+*                                                                          *
+****************************************************************************
+TRACER             Tracer name
+-999.9             Species half life
+-9.9E-09           Wet deposition - A
+                   Wet deposition - B
+-9.9               Dry deposition (gases) - D
+                   Dry deposition (gases) - Henrys const.
+                   Dry deposition (gases) - f0 (reactivity)
+-9.9E09            Dry deposition (particles) - rho
+                   Dry deposition (particles) - dquer
+                   Dry deposition (particles) - dsig
+-9.99              Alternative: dry deposition velocity
+350.00             molweight
+-9.9E-09           OH Reaction rate at 25 deg, [cm^3/sec]
+-9                 number of associated specias (neg. none)
+-99.99             KOA - organic matter air partitioning
Index: options/SPECIES/SPECIES_002
===================================================================
--- options/SPECIES/SPECIES_002	(revision 80fc2b4545e64cb6e95c1e18ebf96e7af91e18e2)
+++ options/SPECIES/SPECIES_002	(revision 80fc2b4545e64cb6e95c1e18ebf96e7af91e18e2)
@@ -0,0 +1,21 @@
+****************************************************************************
+*                                                                          *
+*     Input file for the Lagrangian particle dispersion model FLEXPART     *
+*               Definition file of chemical species/radionuclides          *
+*                                                                          *
+****************************************************************************
+O3                 Tracer name
+-999.9             Species half life
+-9.9E-09           Wet deposition - A
+                   Wet deposition - B
+ 1.5               Dry deposition (gases) - D
+1.0e-02            Dry deposition (gases) - Henrys const.
+1.0                Dry deposition (gases) - f0 (reactivity)
+-9.9E09            Dry deposition (particles) - rho
+                   Dry deposition (particles) - dquer
+                   Dry deposition (particles) - dsig
+-9.99              Alternative: dry deposition velocity
+ 48.00             molweight
+-9.9E-09           OH Reaction rate at 25 deg, [cm^3/sec]
+-9                 number of associated specias (neg. none)
+-99.99             KOA - organic matter air partitioning
Index: options/SPECIES/SPECIES_101
===================================================================
--- options/SPECIES/SPECIES_101	(revision 80fc2b4545e64cb6e95c1e18ebf96e7af91e18e2)
+++ options/SPECIES/SPECIES_101	(revision 80fc2b4545e64cb6e95c1e18ebf96e7af91e18e2)
@@ -0,0 +1,21 @@
+****************************************************************************
+*                                                                          *
+*     Input file for the Lagrangian particle dispersion model FLEXPART     *
+*               Definition file of chemical species/radionuclides          *
+*                                                                          *
+****************************************************************************
+BCTRACER           Tracer name
+-999.9             Species half life
+-9.9E-09           Wet deposition - A
+                   Wet deposition - B
+-9.9               Dry deposition (gases) - D
+                   Dry deposition (gases) - Henrys const.
+                   Dry deposition (gases) - f0 (reactivity)
+-9.9E09            Dry deposition (particles) - rho
+                   Dry deposition (particles) - dquer
+                   Dry deposition (particles) - dsig
+-9.99              Alternative: dry deposition velocity
+ 64.00             molweight
+-9.9E-09           OH Reaction rate at 25 deg, [cm^3/sec]
+-9                 number of associated specias (neg. none)
+-99.99             KOA - organic matter air partitioning
Index: options/SPECIES/SPECIES_102
===================================================================
--- options/SPECIES/SPECIES_102	(revision 80fc2b4545e64cb6e95c1e18ebf96e7af91e18e2)
+++ options/SPECIES/SPECIES_102	(revision 80fc2b4545e64cb6e95c1e18ebf96e7af91e18e2)
@@ -0,0 +1,21 @@
+****************************************************************************
+*                                                                          *
+*     Input file for the Lagrangian particle dispersion model FLEXPART     *
+*               Definition file of chemical species/radionuclides          *
+*                                                                          *
+****************************************************************************
+BC                 Tracer name
+-999.9             Species half life
+2.0E-07            Wet deposition - A
+0.62               Wet deposition - B
+-9.9               Dry deposition (gases) - D
+                   Dry deposition (gases) - Henrys const.
+                   Dry deposition (gases) - f0 (reactivity)
+1.4E+03            Dry deposition (particles) - rho
+2.5E-07            Dry deposition (particles) - dquer
+1.25               Dry deposition (particles) - dsig
+-9.99              Alternative: dry deposition velocity
+ 64.00             molweight
+-9.9E-09           OH Reaction rate at 25 deg, [cm^3/sec]
+-9                 number of associated specias (neg. none)
+-99.99             KOA - organic matter air partitioning
Index: options/SPECIES/spec_overview
===================================================================
--- options/SPECIES/spec_overview	(revision 80fc2b4545e64cb6e95c1e18ebf96e7af91e18e2)
+++ options/SPECIES/spec_overview	(revision 80fc2b4545e64cb6e95c1e18ebf96e7af91e18e2)
@@ -0,0 +1,1 @@
+grep Tra SPEC*
Index: options/surfdata.t
===================================================================
--- options/surfdata.t	(revision 80fc2b4545e64cb6e95c1e18ebf96e7af91e18e2)
+++ options/surfdata.t	(revision 80fc2b4545e64cb6e95c1e18ebf96e7af91e18e2)
@@ -0,0 +1,17 @@
+13 landuse categories are related roughness length
+--------------------------------------------------------
+landuse   comment                               z0
+--------------------------------------------------------
+ 1 Urban land                                   0.7
+ 2 Agricultural land                            0.1
+ 3 Range land                                   0.1
+ 4 Deciduous forest                             1.
+ 5 Coniferous forest                            1.
+ 6 Mixed forest including wetland               0.7
+ 7 water, both salt and fresh                   0.001
+ 8 barren land mostly desert                    0.01
+ 9 nonforested wetland                          0.1
+10 mixed agricultural and range land            0.1
+11 rocky open areas with low grow shrubs        0.05
+12 snow and ice                                 0.001
+13 rainforest                                   1.
Index: options/surfdepo.t
===================================================================
--- options/surfdepo.t	(revision 80fc2b4545e64cb6e95c1e18ebf96e7af91e18e2)
+++ options/surfdepo.t	(revision 80fc2b4545e64cb6e95c1e18ebf96e7af91e18e2)
@@ -0,0 +1,57 @@
+==============================================================================
+INPUT RESISTANCES (s/m) FOR THE COMPUTATION OF SURFACE RESISTANCES TO
+DRY DEPOSITION
+==============================================================================
+AFTER WESELY, 1989
+==============================================================================
+1 to 11: Landuse types after Wesely; 12 .. snow, 13 .. rainforest
+==============================================================================
+Values are tabulated for 5 seasonal categories:
+1     Midsummer with lush vegetation
+2     Autumn with unharvested cropland
+3     Late autumn after frost, no snow
+4     Winter, snow on ground and subfreezing
+5     Transitional spring with partially green short annuals
+==============================================================================
+               1       2       3       4       5       6       7       8       9     10       11      12      13  
+________________________________________________________________________________________________________________
+ri         9999.     60.    120.     70.    130.    100.   9999.   9999.     80.    100.    150.    9999.    200.  1
+rlu        9999.   2000.   2000.   2000.   2000.   2000.   9999.   9999.   2500.   2000.   4000.    9999.   1000.
+rac         100.    200.    100.   2000.   2000.   2000.      0.      0.    300.    150.    200.       0.   2000.
+rgss        400.    150.    350.    500.    500.    100.      0.   1000.      0.    220.    400.     100.    200.
+rgso        300.    150.    200.    200.    200.    300.   2000.    400.   1000.    180.    200.   10000.    200.
+rcls       9999.   2000.   2000.   2000.   2000.   2000.   9999.   9999.   2500.   2000.   4000.    9999.   9999.
+rclo       9999.   1000.   1000.   1000.   1000.   1000.   9999.   9999.   1000.   1000.   1000.    9999.   9999.
+_________________________________________________________________________________________________________________
+ri         9999.   9999.   9999.   9999.    250.    500.   9999.   9999.   9999.   9999.   9999.    9999.    200. 2
+rlu        9999.   9000.   9000.   9000.   4000.   8000.   9999.   9999.   9000.   9000.   9000.    9999.   1000.
+rac         100.    150.    100.   1500.   2000.   1700.      0.      0.    200.    120.    140.       0.   2000.
+rgss        400.    200.    350.    500.    500.    100.      0.   1000.      0.    300.    400.     100.    200.
+rgso        300.    150.    200.    200.    200.    300.   2000.    400.    800.    180.    200.   10000.    200.
+rcls       9999.   9000.   9000.   9000.   2000.   4000.   9999.   9999.   9000.   9000.   9000.    9999.   9999.
+rclo       9999.    400.    400.    400.   1000.    600.   9999.   9999.    400.    400.    400.    9999.   9999.
+_________________________________________________________________________________________________________________
+ri         9999.   9999.   9999.   9999.    250.    500.   9999.   9999.   9999.   9999.   9999.    9999.    200. 3
+rlu        9999.   9999.   9000.   9000.   4000.   8000.   9999.   9999.   9000.   9000.   9000.    9999.   1000.
+rac         100.     10.    100.   1000.   2000.   1500.      0.      0.    100.     50.    120.       0.   2000.
+rgss        400.    150.    350.    500.    500.    200.      0.   1000.      0.    200.    400.     100.    200.
+rgso        300.    150.    200.    200.    200.    300.   2000.    400.   1000.    180.    200.   10000.    200.
+rcls       9999.   9999.   9000.   9000.   3000.   6000.   9999.   9999.   9000.   9000.   9000.    9999.   9999.
+rclo       9999.   1000.    400.    400.   1000.    600.   9999.   9999.    800.    600.    600.    9999.   9999.
+_________________________________________________________________________________________________________________
+ri         9999.   9999.   9999.   9999.    400.    800.   9999.   9999.   9999.   9999.   9999.    9999.    200. 4
+rlu        9999.   9999.   9999.   9999.   6000.   9000.   9999.   9999.   9000.   9000.   9000.    9999.   1000.
+rac         100.     10.     10.   1000.   2000.   1500.      0.      0.     50.     10.     50.       0.   2000.
+rgss        100.    100.    100.    100.    100.    100.      0.   1000.    100.    100.     50.     100.    200.
+rgso        600.   3500.   3500.   3500.   3500.   3500.   2000.    400.   3500.   3500.   3500.   10000.    200. 
+rcls       9999.   9999.   9999.   9000.    200.    400.   9999.   9999.   9000.   9999.   9000.    9999.   9999.
+rclo       9999.   1000.   1000.    400.   1500.    600.   9999.   9999.    800.   1000.    800.    9999.   9999.
+_________________________________________________________________________________________________________________
+ri         9999.    120.    240.    140.    250.    190.   9999.   9999.    160.    200.    300.    9999.    200.  5
+rlu        9999.   4000.   4000.   4000.   2000.   3000.   9999.   9999.   4000.   4000.   8000.    9999.   1000.
+rac         100.     50.     80.   1200.   2000.   1500.      0.      0.    200.     60.    120.       0.   2000.
+rgss        500.    150.    350.    500     500.    200.      0.   1000.      0.    250.    400.     100.    200.
+rgso        300.    150.    200.    200.    200.    300.   2000.    400.   1000.    180.    200.   10000.    200.
+rcls       9999.   4000.   4000.   4000.   2000.   3000.   9999.   9999.   4000.   4000.   8000.    9999.   9999.
+rclo       9999.   1000.    500.    500.   1500.    700.   9999.   9999.    600.    800.    800.    9999.   9999.
+_________________________________________________________________________________________________________________