Index: src/conccalc.f90
===================================================================
--- src/conccalc.f90	(revision deaac29b762bf1fe6d53b6c6ca042f468526364f)
+++ src/conccalc.f90	(revision 92a74b26a4c380bde7d83f918a7d164605d5b263)
@@ -207,5 +207,5 @@
         endif
 
-      else                                 ! attribution via uniform kernel
+      else                                 ! attribution via uniform kernel 
 
         ddx=xl-real(ix)                   ! distance to left cell border
@@ -326,5 +326,5 @@
         if ((itage.lt.10800).or.(xl.lt.0.5).or.(yl.lt.0.5).or. &
              (xl.gt.real(numxgridn-1)-0.5).or. &
-             (yl.gt.real(numygridn-1)-0.5)) then             ! no kernel, direct attribution to grid cell
+             (yl.gt.real(numygridn-1)-0.5).or.(usekernel.eq.0)) then             ! no kernel, direct attribution to grid cell
           if ((ix.ge.0).and.(jy.ge.0).and.(ix.le.numxgridn-1).and. &
                (jy.le.numygridn-1)) then
Index: src/get_vdep_prob.f90
===================================================================
--- src/get_vdep_prob.f90	(revision 7062fab6d12f5938804d78dea4b7b957fb38acac)
+++ src/get_vdep_prob.f90	(revision 92a74b26a4c380bde7d83f918a7d164605d5b263)
@@ -20,44 +20,11 @@
 !**********************************************************************
 
-subroutine advance_rec(itime,xt,yt,zt,prob)
+subroutine get_vdep_prob(itime,xt,yt,zt,prob)
   !                    i     i  i  i  o
   !*****************************************************************************
   !                                                                            *
-  !  Calculation of turbulent particle trajectories utilizing a                *
-  !  zero-acceleration scheme, which is corrected by a numerically more        *
-  !  accurate Petterssen scheme whenever possible.                             *
+  !  Calculation of the probability for dyr deposition                         * 
   !                                                                            *
-  !  Particle positions are read in, incremented, and returned to the calling  *
-  !  program.                                                                  *
-  !                                                                            *
-  !  In different regions of the atmosphere (PBL vs. free troposphere),        *
-  !  different parameters are needed for advection, parameterizing turbulent   *
-  !  velocities, etc. For efficiency, different interpolation routines have    *
-  !  been written for these different cases, with the disadvantage that there  *
-  !  exist several routines doing almost the same. They all share the          *
-  !  included file 'interpol_mod'. The following                               *
-  !  interpolation routines are used:                                          *
-  !                                                                            *
-  !  interpol_all(_nests)     interpolates everything (called inside the PBL)  *
-  !  interpol_misslev(_nests) if a particle moves vertically in the PBL,       *
-  !                           additional parameters are interpolated if it     *
-  !                           crosses a model level                            *
-  !  interpol_wind(_nests)    interpolates the wind and determines the         *
-  !                           standard deviation of the wind (called outside   *
-  !                           PBL) also interpolates potential vorticity       *
-  !  interpol_wind_short(_nests) only interpolates the wind (needed for the    *
-  !                           Petterssen scheme)                               *
-  !  interpol_vdep(_nests)    interpolates deposition velocities               *
-  !                                                                            *
-  !                                                                            *
-  !     Author: A. Stohl                                                       *
-  !                                                                            *
-  !     16 December 1997                                                       *
-  !                                                                            *
-  !  Changes:                                                                  *
-  !                                                                            *
-  !  8 April 2000: Deep convection parameterization                            *
-  !                                                                            *
-  !  May 2002: Petterssen scheme introduced                                    *
+  !  Particle positions are read in - prob returned                            *
   !                                                                            *
   !*****************************************************************************
@@ -175,4 +142,4 @@
 
 
-end subroutine advance_rec
+end subroutine get_vdep_prob
 
Index: src/get_wetscav.f90
===================================================================
--- src/get_wetscav.f90	(revision c9cf57040aabef4fa3e70bb7d1ed2c998921ec38)
+++ src/get_wetscav.f90	(revision 92a74b26a4c380bde7d83f918a7d164605d5b263)
@@ -20,5 +20,5 @@
 !**********************************************************************
 
-subroutine get_wetscav(itime,ltsample,loutnext,jpart,grfraction,inc_count,blc_count,wetscav)
+subroutine get_wetscav(itime,ltsample,loutnext,jpart,ks,grfraction,inc_count,blc_count,wetscav)
 !                          i      i        i     i     o           o
 !*****************************************************************************
@@ -218,5 +218,4 @@
 !**********************************************************
 
-    do ks=1,nspec      ! loop over species
       wetdeposit(ks)=0. 
       wetscav=0.   
@@ -338,5 +337,4 @@
       endif !incloud
 
-    end do ! loop over species
 20  continue
 
Index: src/makefile
===================================================================
--- src/makefile	(revision 9669e1e2b58b3e1c0f4cc03598650fd1549b66c0)
+++ src/makefile	(revision 92a74b26a4c380bde7d83f918a7d164605d5b263)
@@ -152,5 +152,6 @@
 erf.o                   readavailable.o \
 ew.o			readreleases.o  \
-readdepo.o              advance_rec.o   \
+readdepo.o              get_vdep_prob.o   \
+get_wetscav.o	\
 psim.o			outgrid_init.o 	\
 outgrid_init_nest.o   	\
@@ -271,5 +272,5 @@
 
 ## DEPENDENCIES
-advance_rec.o: cmapf_mod.o com_mod.o hanna_mod.o interpol_mod.o par_mod.o \
+get_vdep_prob.o: cmapf_mod.o com_mod.o hanna_mod.o interpol_mod.o par_mod.o \
 	point_mod.o random_mod.o
 advance.o: cmapf_mod.o com_mod.o hanna_mod.o interpol_mod.o par_mod.o \
@@ -426,4 +427,5 @@
 verttransform_gfs.o: cmapf_mod.o com_mod.o par_mod.o
 verttransform_nests.o: com_mod.o par_mod.o
+get_wetscav.o: com_mod.o par_mod.o point_mod.o
 wetdepo.o: com_mod.o par_mod.o point_mod.o
 wetdepokernel.o: com_mod.o par_mod.o unc_mod.o
Index: src/timemanager.f90
===================================================================
--- src/timemanager.f90	(revision c9cf57040aabef4fa3e70bb7d1ed2c998921ec38)
+++ src/timemanager.f90	(revision 92a74b26a4c380bde7d83f918a7d164605d5b263)
@@ -567,7 +567,7 @@
        do ks=1,nspec
          if  ((xscav_frac1(j,ks).lt.0)) then
-            call get_wetscav(itime,lsynctime,loutnext,j,grfraction,idummy,idummy,wetscav)
+            call get_wetscav(itime,lsynctime,loutnext,j,ks,grfraction,idummy,idummy,wetscav)
             if (wetscav(ks).gt.0) then
-                xscav_frac1(j,ks)=wetscav(ks)*(zpoint2(j)-zpoint1(j))
+                xscav_frac1(j,ks)=wetscav(ks)*(zpoint2(npoint(j))-zpoint1(npoint(j)))
             else
                 xmass1(j,ks)=0.
Index: src/wetdepo.f90
===================================================================
--- src/wetdepo.f90	(revision c9cf57040aabef4fa3e70bb7d1ed2c998921ec38)
+++ src/wetdepo.f90	(revision 92a74b26a4c380bde7d83f918a7d164605d5b263)
@@ -103,9 +103,10 @@
  33  continue
 
+    do ks=1,nspec      ! loop over species
 
 !**************************************************
 ! CALCULATE DEPOSITION 
 !**************************************************
-      call get_wetscav(itime,ltsample,loutnext,jpart,grfraction,inc_count,blc_count,wetscav)
+      call get_wetscav(itime,ltsample,loutnext,jpart,ks,grfraction,inc_count,blc_count,wetscav)
 
       if (wetscav.gt.0.) then
@@ -136,4 +137,6 @@
       endif
 
+    end do ! loop over species
+
 ! Sabine Eckhardt, June 2008 create deposition runs only for forward runs
 ! Add the wet deposition to accumulated amount on output grid and nested output grid