Index: options/SPECIES/SPECIES_002
===================================================================
--- options/SPECIES/SPECIES_002	(revision ce1e95bb46b897cbb4fced80ed9ff6075239db9e)
+++ options/SPECIES/SPECIES_002	(revision 95a45d34ce18935ea257ed298f98e77418e8f2e1)
@@ -9,6 +9,6 @@
  PIN_AERO=-9.9,               ! In-cloud scavenging (particles) - INeff (in_aero)
  PDENSITY=-0.9E+9,            ! Dry deposition (particles) - rho
- PDQUER=-9.9,                 ! Dry deposition (particles) - dquer
- PDSIGMA=-9.9,                ! Dry deposition (particles) - dsig
+ PDQUER=0.,                   ! Dry deposition (particles) - dquer
+ PDSIGMA=0.,                  ! Dry deposition (particles) - dsig
  PDRYVEL=-9.9,                ! Alternative: dry deposition velocity
  PRELDIFF=1.6,                ! Dry deposition (gases) - D
Index: options/SPECIES/SPECIES_012
===================================================================
--- options/SPECIES/SPECIES_012	(revision ce1e95bb46b897cbb4fced80ed9ff6075239db9e)
+++ options/SPECIES/SPECIES_012	(revision 95a45d34ce18935ea257ed298f98e77418e8f2e1)
@@ -10,5 +10,5 @@
  PDENSITY=2000.0,             ! Dry deposition (particles) - rho
  PDQUER=4.0E-07,              ! Dry deposition (particles) - dquer
- PDSIGMA=0.3,                 ! Dry deposition (particles) - dsig
+ PDSIGMA=3.3,                 ! Dry deposition (particles) - dsig
  PDRYVEL=-9.99,               ! Alternative: dry deposition velocity
  PRELDIFF=-9.9,               ! Dry deposition (gases) - D
Index: options/SPECIES/SPECIES_013
===================================================================
--- options/SPECIES/SPECIES_013	(revision ce1e95bb46b897cbb4fced80ed9ff6075239db9e)
+++ options/SPECIES/SPECIES_013	(revision 95a45d34ce18935ea257ed298f98e77418e8f2e1)
@@ -10,5 +10,5 @@
  PDENSITY=2.0E+3,             ! Dry deposition (particles) - rho
  PDQUER=4.0E-07,              ! Dry deposition (particles) - dquer
- PDSIGMA=0.3,                 ! Dry deposition (particles) - dsig
+ PDSIGMA=3.3,                 ! Dry deposition (particles) - dsig
  PDRYVEL=-9.99,               ! Alternative: dry deposition velocity
  PRELDIFF=-9.9,               ! Dry deposition (gases) - D
Index: options/SPECIES/SPECIES_015
===================================================================
--- options/SPECIES/SPECIES_015	(revision e5421fd75498907d611a3d6e5dab736902e7e3d9)
+++ options/SPECIES/SPECIES_015	(revision 95a45d34ce18935ea257ed298f98e77418e8f2e1)
@@ -10,5 +10,5 @@
  PDENSITY=2500.0,             ! Dry deposition (particles) - rho
  PDQUER=6.0E-07,              ! Dry deposition (particles) - dquer
- PDSIGMA=0.3,                 ! Dry deposition (particles) - dsig
+ PDSIGMA=3.3,                 ! Dry deposition (particles) - dsig
  PDRYVEL=-9.99,               ! Alternative: dry deposition velocity
  PRELDIFF=-9.9,               ! Dry deposition (gases) - D
Index: options/SPECIES/SPECIES_016
===================================================================
--- options/SPECIES/SPECIES_016	(revision 8d70e43d4b1d277004f61f2e5c1befdddeeda5e3)
+++ options/SPECIES/SPECIES_016	(revision 95a45d34ce18935ea257ed298f98e77418e8f2e1)
@@ -10,5 +10,5 @@
  PDENSITY=1900.0,             ! Dry deposition (particles) - rho
  PDQUER=0.4E-06,              ! Dry deposition (particles) - dquer
- PDSIGMA=0.3,                 ! Dry deposition (particles) - dsig
+ PDSIGMA=3.3,                 ! Dry deposition (particles) - dsig
  PDRYVEL=-9.99,               ! Alternative: dry deposition velocity
  PRELDIFF=-9.9,               ! Dry deposition (gases) - D
Index: options/SPECIES/SPECIES_017
===================================================================
--- options/SPECIES/SPECIES_017	(revision ce1e95bb46b897cbb4fced80ed9ff6075239db9e)
+++ options/SPECIES/SPECIES_017	(revision 95a45d34ce18935ea257ed298f98e77418e8f2e1)
@@ -10,5 +10,5 @@
  PDENSITY=2500.0,             ! Dry deposition (particles) - rho
  PDQUER=6.0E-07,              ! Dry deposition (particles) - dquer
- PDSIGMA=0.3,                 ! Dry deposition (particles) - dsig
+ PDSIGMA=3.3,                 ! Dry deposition (particles) - dsig
  PDRYVEL=-9.99,               ! Alternative: dry deposition velocity
  PRELDIFF=-9.9,               ! Dry deposition (gases) - D
Index: options/SPECIES/SPECIES_018
===================================================================
--- options/SPECIES/SPECIES_018	(revision e5421fd75498907d611a3d6e5dab736902e7e3d9)
+++ options/SPECIES/SPECIES_018	(revision 95a45d34ce18935ea257ed298f98e77418e8f2e1)
@@ -10,5 +10,5 @@
  PDENSITY=2500.0,             ! Dry deposition (particles) - rho
  PDQUER=6.0E-07,              ! Dry deposition (particles) - dquer
- PDSIGMA=0.3,                 ! Dry deposition (particles) - dsig
+ PDSIGMA=3.3,                 ! Dry deposition (particles) - dsig
  PDRYVEL=-9.99,               ! Alternative: dry deposition velocity
  PRELDIFF=-9.9,               ! Dry deposition (gases) - D
Index: options/SPECIES/SPECIES_020
===================================================================
--- options/SPECIES/SPECIES_020	(revision 8d70e43d4b1d277004f61f2e5c1befdddeeda5e3)
+++ options/SPECIES/SPECIES_020	(revision 95a45d34ce18935ea257ed298f98e77418e8f2e1)
@@ -10,5 +10,5 @@
  PDENSITY=2500.0,             ! Dry deposition (particles) - rho
  PDQUER=6.0E-07,              ! Dry deposition (particles) - dquer
- PDSIGMA=0.3,                 ! Dry deposition (particles) - dsig
+ PDSIGMA=3.3,                 ! Dry deposition (particles) - dsig
  PDRYVEL=-9.99,               ! Alternative: dry deposition velocity
  PRELDIFF=-9.9,               ! Dry deposition (gases) - D
Index: options/SPECIES/SPECIES_040
===================================================================
--- options/SPECIES/SPECIES_040	(revision ce1e95bb46b897cbb4fced80ed9ff6075239db9e)
+++ options/SPECIES/SPECIES_040	(revision 95a45d34ce18935ea257ed298f98e77418e8f2e1)
@@ -10,5 +10,5 @@
  PDENSITY=2000.0,             ! Dry deposition (particles) - rho
  PDQUER=4.0E-07,              ! Dry deposition (particles) - dquer
- PDSIGMA=0.3,                 ! Dry deposition (particles) - dsig
+ PDSIGMA=3.3,                 ! Dry deposition (particles) - dsig
  PDRYVEL=-9.9,                ! Alternative: dry deposition velocity
  PRELDIFF=-9.9,               ! Dry deposition (gases) - D
Index: options/SPECIES/specoverview.f90
===================================================================
--- options/SPECIES/specoverview.f90	(revision 8d70e43d4b1d277004f61f2e5c1befdddeeda5e3)
+++ options/SPECIES/specoverview.f90	(revision 95a45d34ce18935ea257ed298f98e77418e8f2e1)
@@ -111,4 +111,5 @@
 write(*,*) '*** no unit'
 
+ print*,'rho: density'
 
 end